package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag295;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT295Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag11sCreator extends AbsTagCreate {
    private MT295Creator mt295Creator;
    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt295Creator = (MT295Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt295Creator.getMtandDate();
        mt295Creator.set("11S",tag11aValue);
    }
}
